Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.jboss51
Interface MessagePropertiesType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  MessagePropertiesTypeImpl

    public interface MessagePropertiesType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `message-propertiesType` xsd type

Original Documentation:

Element for defining JMS message properties (e.g. persistence, priority)
for a consumer bean Used in: consumer

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.lang.String` | `getClazz()` Returns the `class` element
`java.lang.String` | `getDelivery()` Returns the `delivery` element
`java.lang.Integer` | `getPriority()` Returns the `priority` element
`MethodType<MessagePropertiesType<T>>` | `method()` If not already created, a new `method` element will be created and returned.
`MessagePropertiesType<T>` | `removeClazz()` Removes the `class` element
`MessagePropertiesType<T>` | `removeDelivery()` Removes the `delivery` element
`MessagePropertiesType<T>` | `removeMethod()` Removes the `method` element
`MessagePropertiesType<T>` | `removePriority()` Removes the `priority` element
`MessagePropertiesType<T>` | `setClazz(java.lang.String clazz)` If not already created, a new `class` element with the given value will be created.
`MessagePropertiesType<T>` | `setDelivery(java.lang.String delivery)` If not already created, a new `delivery` element with the given value will be created.
`MessagePropertiesType<T>` | `setPriority(java.lang.Integer priority)` If not already created, a new `priority` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setClazz

    MessagePropertiesType<T> setClazz(java.lang.String clazz)

  If not already created, a new `class` element with the given value will be created. Otherwise, the existing `class` element will be updated with the given value.

  Returns:
    the current instance of `MessagePropertiesType`

### removeClazz

    MessagePropertiesType<T> removeClazz()

  Removes the `class` element

  Returns:
    the current instance of `MessagePropertiesType`

### getClazz

    java.lang.String getClazz()

  Returns the `class` element

  Returns:
    the node defined for the element `class`

### removeMethod

    MessagePropertiesType<T> removeMethod()

  Removes the `method` element

  Returns:
    the current instance of `MessagePropertiesType`

### method

    MethodType<MessagePropertiesType<T>> method()

  If not already created, a new `method` element will be created and returned. Otherwise, the existing `method` element will be returned.

  Returns:
    the node defined for the element `method`

### setDelivery

    MessagePropertiesType<T> setDelivery(java.lang.String delivery)

  If not already created, a new `delivery` element with the given value will be created. Otherwise, the existing `delivery` element will be updated with the given value.

  Returns:
    the current instance of `MessagePropertiesType`

### removeDelivery

    MessagePropertiesType<T> removeDelivery()

  Removes the `delivery` element

  Returns:
    the current instance of `MessagePropertiesType`

### getDelivery

    java.lang.String getDelivery()

  Returns the `delivery` element

  Returns:
    the node defined for the element `delivery`

### setPriority

    MessagePropertiesType<T> setPriority(java.lang.Integer priority)

  If not already created, a new `priority` element with the given value will be created. Otherwise, the existing `priority` element will be updated with the given value.

  Returns:
    the current instance of `MessagePropertiesType`

### removePriority

    MessagePropertiesType<T> removePriority()

  Removes the `priority` element

  Returns:
    the current instance of `MessagePropertiesType`

### getPriority

    java.lang.Integer getPriority()

  Returns the `priority` element

  Returns:
    the node defined for the element `priority`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD